Bug 1727689 - CVE-2019-13207 nsd: stack-based overflow in function dname_concatenate() in dname.c [fedora-all]
Summary: CVE-2019-13207 nsd: stack-based overflow in function dname_concatenate() in d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nsd
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-13207
TreeView+ depends on / blocked
 
Reported: 2019-07-08 03:50 UTC by Dhananjay Arunesh
Modified: 2019-10-27 00:12 UTC (History)
3 users (show)

Fixed In Version: nsd-4.2.2-1.fc30 nsd-4.2.2-1.el6 nsd-4.2.2-1.el7 nsd-4.2.2-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-08 02:59:06 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-08 03:50:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-07-08 03:50:24 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1727688,1727689

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-08-30 17:24:18 UTC
FEDORA-EPEL-2019-0ba49c0abc has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0ba49c0abc

Comment 3 Fedora Update System 2019-08-30 17:25:28 UTC
FEDORA-EPEL-2019-9bc2214140 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bc2214140

Comment 4 Fedora Update System 2019-08-30 17:26:16 UTC
FEDORA-2019-96fe76e02b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-96fe76e02b

Comment 5 Paul Wouters 2019-08-30 17:30:26 UTC
note I did not use the security template. We went from 4.1.x to 4.2.2, skipping the vulnerable versions 4.2.0 and 4.2.1

Comment 6 Fedora Update System 2019-08-31 00:16:58 UTC
nsd-4.2.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bc2214140

Comment 7 Fedora Update System 2019-08-31 00:25:53 UTC
nsd-4.2.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0ba49c0abc

Comment 8 Fedora Update System 2019-08-31 01:04:09 UTC
nsd-4.2.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-96fe76e02b

Comment 9 Fedora Update System 2019-09-08 02:59:06 UTC
nsd-4.2.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-15 00:28:13 UTC
nsd-4.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-15 00:28:26 UTC
nsd-4.2.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-11 16:27:41 UTC
FEDORA-EPEL-2019-942baf668f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-942baf668f

Comment 13 Fedora Update System 2019-10-11 23:27:47 UTC
nsd-4.2.2-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-942baf668f

Comment 14 Fedora Update System 2019-10-27 00:12:32 UTC
nsd-4.2.2-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.